
/*****************************************************************************/
/* Copyright (C) 2003-2013, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/


// Based on Ptr_cpp.template

#include "Mp7JrsPtr.h"
#include "Mp7JrsFactory.h"

void Mp7Jrscounter::disposeUsingFactory(Mp7JrsNode *ptr)
{
	Mp7JrsFactory::DeleteObject(ptr);
}


Mp7Jrscounter *Mp7Jrscounter::makeCounter(Mp7JrsNode *ptr)
{
	return new Mp7Jrscounter(ptr);
}

// baw 24 04 2004
void Mp7Jrscounter::deleteCounter(Mp7Jrscounter* cntr) {
	delete cntr;
}
