/*****************************************************************************/
/* Copyright (C) 2003-2013, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef _1901MP7JRSSCALABLECOLORTYPE_NUMOFBITPLANESDISCARDED_LOCALTYPE_H
#define _1901MP7JRSSCALABLECOLORTYPE_NUMOFBITPLANESDISCARDED_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType<br>
 * Located at: mpeg7-v2.xsd, line 511<br>
 * Enumerations: <br>
 * _0 (mapped to XML 0) <br>
 * _1 (mapped to XML 1) <br>
 * _2 (mapped to XML 2) <br>
 * _3 (mapped to XML 3) <br>
 * _4 (mapped to XML 4) <br>
 * _6 (mapped to XML 6) <br>
 * _8 (mapped to XML 8) <br>
 */
class MP7JRS_EXPORT Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType
{
public:
	/** Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_0, // Mapped to 0
		_1, // Mapped to 1
		_2, // Mapped to 2
		_3, // Mapped to 3
		_4, // Mapped to 4
		_6, // Mapped to 6
		_8, // Mapped to 8
	};
	

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType::Enumeration item);
	static Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType::Enumeration Parse(const XMLCh * const txt);

  static const XMLCh * nsURI(); // For namespace handling

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfBitplanesDiscarded_LocalType_ExtPropDef.h



};
#endif // _1901MP7JRSSCALABLECOLORTYPE_NUMOFBITPLANESDISCARDED_LOCALTYPE_H
