
// Based on EnumerationType_CPP.template

/*****************************************************************************/
/* Copyright (C) 2003-2013, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#include <stdio.h>
#include <xercesc/util/Janitor.hpp>

// no includefile for extension defined 
// file Mp7JrstermNoteQualifierType_LocalType_ExtImplInclude.h


#include "Mp7JrstermNoteQualifierType_LocalType.h"

// no includefile for extension defined 
// file Mp7JrstermNoteQualifierType_LocalType_ExtMethodImpl.h


const XMLCh * Mp7JrstermNoteQualifierType_LocalType::nsURI(){ return X("urn:mpeg:mpeg7:schema:2004");}

XMLCh * Mp7JrstermNoteQualifierType_LocalType::ToText(Mp7JrstermNoteQualifierType_LocalType::Enumeration item)
{
	XMLCh * result = NULL;
	switch(item)
	{
		case /*Enumeration::*/PN:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("PN");
			break;
		case /*Enumeration::*/CN:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("CN");
			break;
		case /*Enumeration::*/HN:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("HN");
			break;
		case /*Enumeration::*/scope:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("scope");
			break;
		case /*Enumeration::*/code:
			result = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode("code");
			break;
		default:; break;
	}	
	
	// Note: You must release this result after using it
	return result;
}

Mp7JrstermNoteQualifierType_LocalType::Enumeration Mp7JrstermNoteQualifierType_LocalType::Parse(const XMLCh * const txt)
{
	char * item = XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode(txt);
	Mp7JrstermNoteQualifierType_LocalType::Enumeration result = Mp7JrstermNoteQualifierType_LocalType::/*Enumeration::*/UninitializedEnumeration;
	
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "PN") == 0)
	{
		result = Mp7JrstermNoteQualifierType_LocalType::/*Enumeration::*/PN;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "CN") == 0)
	{
		result = Mp7JrstermNoteQualifierType_LocalType::/*Enumeration::*/CN;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "HN") == 0)
	{
		result = Mp7JrstermNoteQualifierType_LocalType::/*Enumeration::*/HN;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "scope") == 0)
	{
		result = Mp7JrstermNoteQualifierType_LocalType::/*Enumeration::*/scope;
	}
	if(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::compareString(item, "code") == 0)
	{
		result = Mp7JrstermNoteQualifierType_LocalType::/*Enumeration::*/code;
	}
	

	XERCES_CPP_NAMESPACE_QUALIFIER XMLString::release(&item);
	return result;
}
